<template>
    <inner-layout>
        <template>
            <section class="page_content">
                <div class="container" v-if="loading">
                    <div class="v-row">
                        <div class="col-12">
                            <loading :loading="loading"></loading>
                        </div>
                    </div>
                </div>
                <div class="container" v-if="!loading">
                        <div class="row">
                            <div class="col-12">
                                <product-list :list="product_list" ></product-list>
                            </div>
                        </div>
                    </div>
            </section>
        </template>
    </inner-layout>
</template>
<script>
import BreadCrumb from '~/components/front-end/bread-crumb.vue';
import InnerLayout from '~/layouts/inner.vue';
import ProductList from '~/components/front-end/product-detail/product-list.vue';
export default {
    components:{InnerLayout,ProductList, BreadCrumb},
    data() {
        return {
            product_list    : [],
            loading     : false,
        }
    },
    mounted() {
        this.getCategoryData();
    },
    methods:{
        getCategoryData() {
            let search = this.$route.params.slug;
            let current_host = this.$store.state.front_end_data.domain_id;
            let location = this.$store.state.front_end_data.location;
            this.loading = true;
            this.$axios.$get(`/api/search-product/${search}/${current_host}/${location}`)
            .then(resp=>{
                this.product_list = resp;
                this.loading = false;
            });
        }
    }
}
</script>